import { FocusEvents } from "@react-ui-types/shared";
import { HoverProps, PressProps } from "@react-ui-aria/interactions";
import * as React from "react";
import { WithDropdownTriggerAriaProps } from "@react-ui-types/withdropdown";
import { WithDropdownTriggerState } from "@react-ui-stately/withdropdown";
interface WithDropdownTriggerAria {
    triggerProps: React.HTMLAttributes<HTMLElement> & PressProps & HoverProps & FocusEvents;
    dropdownProps: React.HTMLAttributes<HTMLElement>;
    overlayHoverProps: React.HTMLAttributes<HTMLElement> & HoverProps;
    isPressed: boolean;
}
export function useWithDropdownTrigger(props: WithDropdownTriggerAriaProps, state: WithDropdownTriggerState, ref: React.RefObject<HTMLElement>): WithDropdownTriggerAria;

//# sourceMappingURL=types.d.ts.map
